# Uses of Class
org.jboss.logmanager.Logger.AttachmentKey

Packages that use Logger.AttachmentKey
Package
Description
org.jboss.logmanager

## Uses of Logger.AttachmentKey in org.jboss.logmanager

Fields in org.jboss.logmanager declared as Logger.AttachmentKey
Modifier and Type
Field
Description
`static final Logger.AttachmentKey<Configurator>`
Configurator.`ATTACHMENT_KEY`
The attachment key of the chosen configurator, used to maintain a strong ref to any configured properties.
Methods in org.jboss.logmanager with parameters of type Logger.AttachmentKey
Modifier and Type
Method
Description
`<V> V`
Logger.`attach(Logger.AttachmentKey<V> key, V value)`
Attach an object to this logger under a given key.
`<V> V`
Logger.`attachIfAbsent(Logger.AttachmentKey<V> key, V value)`
Attach an object to this logger under a given key, if such an attachment does not already exist.
`<V> V`
Logger.`detach(Logger.AttachmentKey<V> key)`
Remove an attachment.
`<V> V`
LogContext.`getAttachment(String loggerName, Logger.AttachmentKey<V> key)`
Get a logger attachment for a logger name, if it exists.
`<V> V`
Logger.`getAttachment(Logger.AttachmentKey<V> key)`
Get the attachment value for a given key, or `null` if there is no such attachment.